# Doesn't require any BIOS/copyrighted material, so it can go in core.

%define debug_package %{nil}

#define date 20231227
#define gitcommit 90093ce3b353ff0fbe3277eb5d75130debdf0fab

Name:             m64py
Version:          0.3.0
Release:          %mkrel 1
Summary:          A Qt6 frontend for Mupen64Plus
License:          GPLv3
Group:            Emulators
Url:              https://m64py.sourceforge.net/
Source0:         https://sourceforge.net/projects/m64py/files/%{name}-%{version}/%{name}-%{version}.tar.gz
#Source0:          https://github.com/mupen64plus/mupen64plus-ui-python/archive/%{gitcommit}/mupen64plus-ui-python-%{gitcommit}.tar.gz

BuildRequires:    python3-qt6-devel
BuildRequires:    pkgconfig(python3)
# for rcc
BuildRequires:    cmake(Qt6)
# for lrelease
BuildRequires:    qttools6

Requires:         %{_lib}mupen64plus2 >= 2.0
Requires:         %{_lib}sdl2.0_0
Requires:         mupen64plus >= 2.0

%description
M64Py is a Qt6 front-end (GUI) for Mupen64Plus 2.0, a cross-platform
plugin-based Nintendo 64 emulator. The front-end is written in Python
and it provides a user-friendly interface over Mupen64Plus shared library.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files m64py

%files -f %{pyproject_files}
%license AUTHORS COPYING LICENSES
%doc CHANGELOG README.rst
%{_bindir}/%{name}
%{_datadir}/applications/net.sourceforge.m64py.M64Py.desktop
%{_datadir}/icons/hicolor/96x96/apps/net.sourceforge.m64py.M64Py.png
%{_metainfodir}/net.sourceforge.m64py.M64Py.metainfo.xml


%changelog
* Tue Mar 11 2025 papoteur <papoteur> 0.3.0-1.mga10
+ Revision: 2162745
- rebuild for python3.13
- new version 0.3.0
- commute to Qt6

* Mon Mar 04 2024 daviddavid <daviddavid> 0.2.5-4.20231227.1.mga10
+ Revision: 2047449
- Snapshot 20231227, fixes Python 3.12 support
+ papoteur <papoteur>
- Mass Rebuild - Python 3.12

* Fri Apr 01 2022 akien <akien> 0.2.5-4.20211222.1.mga9
+ Revision: 1837911
- Snapshot 20211222, fixes Python 3.10 support (mga#30221)

* Thu Feb 17 2022 akien <akien> 0.2.5-3.mga9
+ Revision: 1779139
- Rebuild for python 3.10

* Wed Apr 21 2021 daviddavid <daviddavid> 0.2.5-2.mga9
+ Revision: 1717708
- rebuild for python 3.9

* Tue Nov 03 2020 akien <akien> 0.2.5-1.mga8
+ Revision: 1642080
- Version 0.2.5
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 0.2.3-13.mga8.tainted
+ Revision: 1548879
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 daviddavid <daviddavid> 0.2.3-12.mga8.tainted
+ Revision: 1443216
- rebuild for python3.8

* Sat Jul 27 2019 daviddavid <daviddavid> 0.2.3-11.mga8.tainted
+ Revision: 1424580
- main mupen64plus package is also needed (mga#24160#c4)

* Wed Jan 09 2019 daviddavid <daviddavid> 0.2.3-10.mga7.tainted
+ Revision: 1353105
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.2.3-9.mga7.tainted
+ Revision: 1279306
- Mageia 7 Mass Rebuild

* Tue Aug 08 2017 daviddavid <daviddavid> 0.2.3-8.mga7.tainted
+ Revision: 1138921
- rebuild for new Python 3.6

* Mon Jun 27 2016 akien <akien> 0.2.3-7.mga6.tainted
+ Revision: 1037864
- Rebuild in tainted/release

* Sat Jun 25 2016 akien <akien> 0.2.3-6.mga6.tainted
+ Revision: 1037617
- Rebuild in tainted as it should be

* Sat Jun 25 2016 akien <akien> 0.2.3-5.mga6
+ Revision: 1037589
- Disable debuginfo, it is a noarch package forced to be arch-dependent
- Rebuild for python-sip 4.18
- No longer noarch, as it needs to require {lib,lib64}sdl2

* Sat Apr 23 2016 akien <akien> 0.2.3-4.mga6.tainted
+ Revision: 1005692
- Add some upstream bugfix patches

* Sat Jan 09 2016 akien <akien> 0.2.3-3.mga6.tainted
+ Revision: 920853
- Add python3-opengl and python3-sip requires

* Mon Jan 04 2016 akien <akien> 0.2.3-2.mga6.tainted
+ Revision: 919380
- Use new python macros

* Mon Jan 04 2016 akien <akien> 0.2.3-1.mga6.tainted
+ Revision: 919375
- Version 0.2.3 (obsoletes P0 and P1)
- Switch to Qt5 and python 3 build

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-5.mga5.tainted
+ Revision: 739664
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2.1-4.mga5.tainted
+ Revision: 727064
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-3.mga5.tainted
+ Revision: 682116
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 akien <akien> 0.2.1-2.mga5.tainted
+ Revision: 633180
- Remove provides on mupen64plus-ui (might be readded if other frontends are packaged)

* Wed Jun 04 2014 akien <akien> 0.2.1-1.mga5.tainted
+ Revision: 633170
- Require SDL2 instead of SDL (both are supported)
- import source RPM based off an OpenSUSE SRPM

